Bug 1199743 - [abrt] bash: copy_word(): bash killed by SIGSEGV
Summary: [abrt] bash: copy_word(): bash killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Oprala
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1dd39d0c10efcfea7f8b949e7c4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-07 19:02 UTC by smitna
Modified: 2016-02-01 02:10 UTC (History)
3 users (show)

Fixed In Version: bash-4.3.39-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-03 18:43:53 UTC


Attachments (Terms of Use)
File: backtrace (5.14 KB, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: core_backtrace (1.80 KB, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: dso_list (575 bytes, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: environ (3.36 KB, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: maps (2.57 KB, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: multicrop (15.19 KB, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: open_fds (138 bytes, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details
File: var_log_messages (161 bytes, text/plain)
2015-03-07 19:02 UTC, smitna
no flags Details

Description smitna 2015-03-07 19:02:36 UTC
Description of problem:
1)  execute:  bash --rpm-requires /usr/local/bin/multicrop

Input script (/usr/local/bin/multicrop) to be attached.

Version-Release number of selected component:
bash-4.3.33-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        bash --rpm-requires /usr/local/bin/multicrop
crash_function: copy_word
executable:     /usr/bin/bash
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 copy_word at copy_cmd.c:61
 #1 copy_function_def_contents at copy_cmd.c:334
 #2 bind_function_def at variables.c:2918
 #3 execute_intern_function at execute_cmd.c:5629
 #4 execute_command_internal at execute_cmd.c:559
 #5 execute_command at execute_cmd.c:394
 #6 reader_loop at eval.c:161

Comment 1 smitna 2015-03-07 19:02:38 UTC
Created attachment 999191 [details]
File: backtrace

Comment 2 smitna 2015-03-07 19:02:38 UTC
Created attachment 999192 [details]
File: cgroup

Comment 3 smitna 2015-03-07 19:02:39 UTC
Created attachment 999193 [details]
File: core_backtrace

Comment 4 smitna 2015-03-07 19:02:40 UTC
Created attachment 999194 [details]
File: dso_list

Comment 5 smitna 2015-03-07 19:02:41 UTC
Created attachment 999195 [details]
File: environ

Comment 6 smitna 2015-03-07 19:02:42 UTC
Created attachment 999196 [details]
File: exploitable

Comment 7 smitna 2015-03-07 19:02:42 UTC
Created attachment 999197 [details]
File: limits

Comment 8 smitna 2015-03-07 19:02:43 UTC
Created attachment 999198 [details]
File: maps

Comment 9 smitna 2015-03-07 19:02:44 UTC
Created attachment 999199 [details]
File: multicrop

Comment 10 smitna 2015-03-07 19:02:45 UTC
Created attachment 999200 [details]
File: open_fds

Comment 11 smitna 2015-03-07 19:02:46 UTC
Created attachment 999201 [details]
File: proc_pid_status

Comment 12 smitna 2015-03-07 19:02:47 UTC
Created attachment 999202 [details]
File: var_log_messages

Comment 13 Fedora Update System 2015-06-30 08:26:06 UTC
bash-4.3.39-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/bash-4.3.39-3.fc22

Comment 14 Fedora Update System 2015-06-30 08:27:18 UTC
bash-4.3.39-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/bash-4.3.39-3.fc21

Comment 15 Fedora Update System 2015-06-30 20:11:04 UTC
Package bash-4.3.39-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bash-4.3.39-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10937/bash-4.3.39-3.fc22
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-07-03 18:43:53 UTC
bash-4.3.39-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-07-06 10:55:16 UTC
bash-4.3.39-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/bash-4.3.39-4.fc22

Comment 18 Fedora Update System 2015-07-06 10:55:27 UTC
bash-4.3.39-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/bash-4.3.39-4.fc21

Comment 19 Fedora Update System 2015-07-14 15:29:21 UTC
bash-4.3.39-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-07-15 11:06:38 UTC
bash-4.3.39-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/bash-4.3.39-5.fc21

Comment 21 Fedora Update System 2015-07-15 11:07:52 UTC
bash-4.3.39-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/bash-4.3.39-5.fc22

Comment 22 Fedora Update System 2015-07-18 02:07:24 UTC
bash-4.3.39-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-07-29 01:43:21 UTC
bash-4.3.39-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.